<?php

//ini_set("display_errors",1);

require_once ("../../config/Cado.php");

require_once("../unidad/cUnidad.php");

$oUnidad = new cUnidad();



if($_POST['action_unidad']=="insertar")

{

	if(!empty($_POST['txt_uni_nom']))

	{

		$uni_tip=$_POST['cmb_uni_tip'];

		if($_POST['cmb_uni_tip']=="")$uni_tip=$_POST['hdd_uni_tip'];

		

		$oUnidad->insertar($_POST['txt_uni_abr'], $_POST['txt_uni_nom'], $uni_tip,$_POST['txt_uni_fac']);

		

		$dts=$oUnidad->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$uni_id=$dt['last_insert_id()'];

		mysqli_free_result($dts);



		$data['uni_id']=$uni_id;

		$data['uni_msj']='Se registró unidad correctamente.';

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



if($_POST['action_unidad']=="editar")

{

	if(!empty($_POST['txt_uni_nom']))

	{

		$oUnidad->modificar($_POST['hdd_uni_id'],$_POST['txt_uni_abr'],$_POST['txt_uni_nom'], $_POST['cmb_uni_tip'],$_POST['txt_uni_fac']);		

		$data['uni_msj']='Se modifico la unidad correctamente.';

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}













if($_POST['action']=="eliminar")

{

	if(!empty($_POST['id']))

	{		

		$oUnidad->modificar_campo($_POST['id'],'xac','0');

		echo 'Se envió a la papelera correctamente.';		

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

